### Hierarchy

- Translations

## Index

### Properties

- accessibleClearIcon
- accessibleMaxLengthExceeded
- accessibleMaxLengthRemaining
- regexp
- required

## Properties

### accessibleClearIcon

accessibleClearIcon: string

Tooltip for the clear icon.

### accessibleMaxLengthExceeded

accessibleMaxLengthExceeded: string

Message to announce to AT via aria-live when the length.max is exceeded.

### accessibleMaxLengthRemaining

accessibleMaxLengthRemaining: string

Message to annnouce to AT via aria-live for the remaining character count.

### regexp

regexp: <internal>.TranslationsRegexp

Provides properties to customize the message text used by the implicit regexp validator associated to the InputText and TextArea components.

### required

required: <internal>.TranslationsRequired

Provides properties to customize the summary, detail and hint text used by the implicit required validator associated to any editable component that supports the required option.

Generated using TypeDoc